/* Wrap std::istreams in QIODevices.
 * Copyright (C) 2006  Benoit Sigoure.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
 * USA.
 */

#include <iostream>
#include "QStdIStream.hh"

bool
QStdIStream::atEnd () const
{
  return stream_.eof ();
}

qint64
QStdIStream::readData (char* data, qint64 maxSize)
{
  stream_.read (data, maxSize);
  return stream_.gcount ();
}
